LuaMetaTeX(1)

NAME
luametatex - Next generation ConTeXt procession engine.

SYNOPSIS
luametatex --lua=FILE [OPTION]... [TEXNAME[.tex]] [COMMANDS]
luametatex --lua=FILE [OPTION]... RST-LINE
luametatex --lua=FILE [OPTION]... &FMT ARGS

DESCRIPTION
Run LuaMetaTeX on TEXNAME, usually creating TEXNAME.pdf. Any remaining COMMANDS are processed as luatex input, after TEXNAME is read.

Alternatively, if the first non-option argument begins with a backslash, LuaMetaTeX interprets all non-option arguments as an input line.

Alternatively, if the first non-option argument begins with a &, the next word is taken as the FMT to read, overriding all else. Any remaining arguments are processed as above.

If no arguments or options are specified, prompt for input.

The following regular options are understood:

--credits
    display credits and exit

--fmt=FORMAT
    load the format file FORMAT

--help
    display help and exit

--ini
    be iniluametatex, for dumping formats

--jobname=STRING
    set the job name to STRING

--lua=FILE
    load and execute a lua initialization script

--version
    display version and exit

Alternate behaviour models can be obtained by special switches

--luaonly
    run a lua file, then exit

Loading libraries from Lua is blocked unless one explicitly permits it:

--permitloadlib
    permit loading of external libraries (coming)

See the reference manual for more information about the startup process.

REPORTING BUGS
Email bug reports to dev-context@ntg.nl.

Execute 'luametatex --credits' for credits and version details.

There is NO warranty. Redistribution of this software is covered by the terms of the GNU General Public License, version 2 or (at your option) any later version. For more information about these matters, see the file named COPYING and the LuaMetaTeX source.

Functionality : level 20230310
Support : context@ntg.nl
Copyright : The Lua(Meta)TeX Team(s) (2005-2023+)

The LuaMetaTeX project is related to ConTeXt development. This macro package tightly integrates TeX and MetaPost in close cooperation with Lua. Updates will happen in sync with ConTeXt and when needed. Don't be fooled by unchanged dates: long term stability is the objective.